#!/bin/bash

# Older compiz versions start gtk-window-decorator only if GNOME_DESKTOP_SESSION_ID is set.
[ -n "$GNOME_DESKTOP_SESSION_ID" ] || export GNOME_DESKTOP_SESSION_ID="LXDE"

[ -x /usr/lib/gamin/gam_server ] && exec /usr/lib/gamin/gam_server --notimeout & sleep 2

export SAL_USE_VCLPLUGIN="gtk" GTK_MODULES="gail:atk-bridge" GNOME_ACCESSIBILITY=1 QT_ACCESSIBILITY=1
test -z "$SPEECHD_ADDRESS" && grep -q -E -i '^[[:space:]]*SocketPath[[:space:]]+"/var/run/speech-dispatcher/speechd.sock"' /etc/speech-dispatcher/speechd.conf >/dev/null 2>&1 && export SPEECHD_ADDRESS="unix_socket:/var/run/speech-dispatcher/speechd.sock"

case "$1" in start*) ;; *) exec compiz --replace & sleep 5 ;; esac

{ sleep 20; startorca ; } &

# Orca, for some reason, ruins Alt_R on the german keyboard.
# This is a workaround to fix it.
#(
# for ((i=0; i<30; i++)); do
#  sleep 2
#  xmodmap | grep -q 'mod1.*ISO_Level3_Shift' && xmodmap -e "remove mod1 = ISO_Level3_Shift"
# done
#) &

# Execute program
"$@"

case "$STARTUP" in
 *soffice*|*firefox*|*chromium*) # Need to wait until forked programs disappear
  cmd="$(echo "$STARTUP" | awk '{print $NF}')"
  sleep 10
  while pidof -x "$cmd" "$cmd".bin >/dev/null 2>&1; do
   sleep 4
  done ;;
esac
